'use strict';

var ContentFactory = angular.module('contents.factory', [
]).factory('ContentFactory', [
    'Common',
    function (Common) {

        function Content(data) {
            var self = this;
            if (data) angular.extend(this, data);

            this.PublishedOn = new Date(this.PublishedOn);

        }

        var create = function (data) {
            return new Content(data);
        };

        return {
            create: create
        };
    }
]);